Create a user
Create a new user.
Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account.
For more information see the API Concepts Document
Scoped OAuth requires: users.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
The email address of a valid user associated with the account making the request.
emailRequest Body
application/json
The user to be created.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
Create a user status update notification rule POST
Create a new status update notification rule. Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#users) Scoped OAuth requires: `users.write`
Delete a user's contact method DELETE
Remove a user's contact method. Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#users) Scoped OAuth requires: `users:contact_methods.write`